## claws-mail-extra-plugins 3.8.0

=== debian/changelog ===
claws-mail-extra-plugins (3.8.0-2) unstable; urgency=low

  * debian/rules
  - Simplify generation of manpages
  * debian/patches/multi-notifier00allow-libindicate-0.6.patch
  - Patch to allow detection of libindicate greater than 0.6
  * debian/control
  - Added build dependencies to:
    . Enable indicators in notification plugin (LP: #715257)
    . Enable canberra sound notifications in notification plugin
  - Update Standards-Version to 3.9.3 (no other changes)
  - Set c-m-e-p binary Section to metapackages
  - Fix Homepage to be a working URL
  * debian/copyright, debian/*.copyright
  - Update to Copyright Format 1.0
  - Fix Source fields to link plugins page

 -- Ricardo Mones <mones@debian.org>  Fri, 04 May 2012 20:05:33 +0200

claws-mail-extra-plugins (3.8.0-1) unstable; urgency=low

  * New upstream release
  - Already transitioned to libnotify 0.7 (Closes: #636299)
  * debian/control
  - Bump required libclaws-mail-dev dependency to 3.8.0
  - Upstream supports libgdata 0.9 now, removed restriction
  * debian/rules
  - Make binary-arch/binary-indep generate the right package types
  * debian/*geolocation*, debian/manpages/*geolocation*,
    debian/README.Packaging, debian/configure, debian/control
  - Removed geolocation plugin because libchamplain 0.8 is being
    removed (Closes: #648427)
  * debian/patches/python-plugin00dont-dlopen-symlink.patch
  - Fix patch for new plugin version
  * debian/patches/python-plugin00dont-dlopen-symlink.patch
  - Removed patch, already upstream

 -- Ricardo Mones <mones@debian.org>  Mon, 19 Dec 2011 08:29:20 +0100
