=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -Wall -g

NS := claws-mail
CLAWS_VERSION = $(shell /bin/bash $(CURDIR)/debian/get-claws-ver.sh $(CURDIR))
CLAWS_LAST = $(shell /bin/bash $(CURDIR)/debian/get-claws-last.sh $(CURDIR))

IDIR    := $(CURDIR)/debian
PDIR    := $(CURDIR)/debian/manpages
GENDOCS := $(CURDIR)/debian/gendocs
GENXAMP := $(CURDIR)/debian/genexamples

MANPAGES := $(shell /bin/ls $(PDIR)/*.sgml | /bin/sed "s,sgml,1,g")

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

$(PDIR)/%.1: $(PDIR)/%.sgml
	docbook-to-man $< > $@

manpages-stamp: $(MANPAGES)
	pod2man $(CURDIR)/perl_plugin-*/cm_perl.pod \
	        > $(PDIR)/$(NS)-perl-filter.1
	pod2man $(PDIR)/matcherrc2perlfilter.pl.pod \
	        > $(PDIR)/matcherrc2perlfilter.1
	touch manpages-stamp

clean-manpages:
	rm -f $(MANPAGES)
	rm -f $(PDIR)/$(NS)-perl-filter.1 $(PDIR)/matcherrc2perlfilter.1
	rm -f manpages-stamp

configure-stamp:
	dh_testdir
	cp $(IDIR)/configure $(IDIR)/Makefile $(CURDIR)
	chmod +x $(CURDIR)/configure
	$(CURDIR)/configure --host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--infodir=/usr/share/info
	touch configure-stamp

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: configure-stamp manpages-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

clean: clean-docs clean-examples clean-manpages
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	-$(CURDIR)/configure --unconfigure
	rm -f $(CURDIR)/configure $(CURDIR)/Makefile
	# clean installdirs
	rm -rf $(IDIR)/vcalendar-* \
	       $(IDIR)/perl_plugin-* \
	       $(IDIR)/rssyl-* \
	       $(IDIR)/mailmbox-* \
	       $(IDIR)/gtkhtml2_viewer-* \
	       $(IDIR)/acpi_notifier-* \
	       $(IDIR)/att_remover-* \
	       $(IDIR)/fetchinfo-plugin-* \
	       $(IDIR)/newmail-* \
	       $(IDIR)/notification_plugin-* \
	       $(IDIR)/attachwarner-* \
	       $(IDIR)/spam_report-* \
	       $(IDIR)/tnef_parse-* \
	       $(IDIR)/archive-* \
	       $(IDIR)/bsfilter_plugin-* \
	       $(IDIR)/fancy-* \
	       $(IDIR)/python_plugin-* \
	       $(IDIR)/address_keeper-* \
	       $(IDIR)/clamd-* \
	       $(IDIR)/gdata_plugin-*
	dh_clean 

install:
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(IDIR)
	# _______________________________________[vcalendar-plugin]____
	mv $(IDIR)/vcalendar-*/* \
	   $(IDIR)/$(NS)-vcalendar-plugin
	# remove libical rests...
	rm -rf $(IDIR)/$(NS)-vcalendar-plugin/usr/include
	# ...and unwanted files
	rm -f $(IDIR)/$(NS)-vcalendar-plugin/usr/lib/$(NS)/plugins/*.*a
	# ____________________________________________[perl-filter]____
	mv $(IDIR)/perl_plugin-*/* \
	   $(IDIR)/$(NS)-perl-filter
	mkdir -p -m 755 $(IDIR)/$(NS)-perl-filter/usr/bin
	install -m 755 $(CURDIR)/perl_plugin-*/tools/matcherrc2perlfilter.pl \
	   $(IDIR)/$(NS)-perl-filter/usr/bin/matcherrc2perlfilter
	rm -f $(IDIR)/$(NS)-perl-filter/usr/lib/$(NS)/plugins/*.*a
	# ___________________________________________[feeds-reader]____
	mv $(IDIR)/rssyl-*/* \
	   $(IDIR)/$(NS)-feeds-reader
	rm -f $(IDIR)/$(NS)-feeds-reader/usr/lib/$(NS)/plugins/*.*a
	# ________________________________________[mailmbox-plugin]____
	mv $(IDIR)/mailmbox-*/* \
	   $(IDIR)/$(NS)-mailmbox-plugin
	rm -f $(IDIR)/$(NS)-mailmbox-plugin/usr/lib/$(NS)/plugins/*.*a
	# ___________________________________________[html2-viewer]____
	mv $(IDIR)/gtkhtml2_viewer-*/* \
	   $(IDIR)/$(NS)-html2-viewer
	rm -f $(IDIR)/$(NS)-html2-viewer/usr/lib/$(NS)/plugins/*.*a
	# __________________________________________[acpi-notifier]____
	mv $(IDIR)/acpi_notifier-*/* \
	   $(IDIR)/$(NS)-acpi-notifier
	rm -f $(IDIR)/$(NS)-acpi-notifier/usr/lib/$(NS)/plugins/*.*a
	# _________________________________________[attach-remover]____
	mv $(IDIR)/att_remover-*/* \
	   $(IDIR)/$(NS)-attach-remover
	rm -f $(IDIR)/$(NS)-attach-remover/usr/lib/$(NS)/plugins/*.*a
	# _______________________________________[fetchinfo-plugin]____
	mv $(IDIR)/fetchinfo-plugin-*/* \
	   $(IDIR)/$(NS)-fetchinfo-plugin
	rm -f $(IDIR)/$(NS)-fetchinfo-plugin/usr/lib/$(NS)/plugins/*.*a
	# _________________________________________[newmail-plugin]____
	mv $(IDIR)/newmail-*/* \
	   $(IDIR)/$(NS)-newmail-plugin
	rm -f $(IDIR)/$(NS)-newmail-plugin/usr/lib/$(NS)/plugins/*.*a
	# _________________________________________[multi-notifier]____
	mv $(IDIR)/notification_plugin-*/* \
	   $(IDIR)/$(NS)-multi-notifier
	rm -f $(IDIR)/$(NS)-multi-notifier/usr/lib/$(NS)/plugins/*.*a
	# __________________________________________[attach-warner]____
	mv $(IDIR)/attachwarner-*/* \
	   $(IDIR)/$(NS)-attach-warner
	rm -f $(IDIR)/$(NS)-attach-warner/usr/lib/$(NS)/plugins/*.*a
	# ____________________________________________[spam-report]____
	mv $(IDIR)/spam_report-*/* \
	   $(IDIR)/$(NS)-spam-report
	rm -f $(IDIR)/$(NS)-spam-report/usr/lib/$(NS)/plugins/*.*a
	# ____________________________________________[tnef-parser]____
	mv $(IDIR)/tnef_parse-*/* \
	   $(IDIR)/$(NS)-tnef-parser
	rm -f $(IDIR)/$(NS)-tnef-parser/usr/lib/$(NS)/plugins/*.*a
	# ________________________________________[archiver-plugin]____
	mv $(IDIR)/archive-*/* \
	   $(IDIR)/$(NS)-archiver-plugin
	rm -f $(IDIR)/$(NS)-archiver-plugin/usr/lib/$(NS)/plugins/*.*a
	# ________________________________________[bsfilter-plugin]____
	mv $(IDIR)/bsfilter_plugin-*/* \
	   $(IDIR)/$(NS)-bsfilter-plugin
	rm -f $(IDIR)/$(NS)-bsfilter-plugin/usr/lib/$(NS)/plugins/*.*a
	# ___________________________________________[fancy-plugin]____
	mv $(IDIR)/fancy-*/* \
	   $(IDIR)/$(NS)-fancy-plugin
	rm -f $(IDIR)/$(NS)-fancy-plugin/usr/lib/$(NS)/plugins/*.*a
	# __________________________________________[python-plugin]____
	mv $(IDIR)/python_plugin-*/* \
	   $(IDIR)/$(NS)-python-plugin
	rm -f $(IDIR)/$(NS)-python-plugin/usr/lib/$(NS)/plugins/*.*a
	# _________________________________________[address-keeper]____
	mv $(IDIR)/address_keeper-*/* \
	   $(IDIR)/$(NS)-address-keeper
	rm -f $(IDIR)/$(NS)-address-keeper/usr/lib/$(NS)/plugins/*.*a
	# ___________________________________________[clamd-plugin]____
	mv $(IDIR)/clamd-*/* \
	   $(IDIR)/$(NS)-clamd-plugin
	rm -f $(IDIR)/$(NS)-clamd-plugin/usr/lib/$(NS)/plugins/*.*a
	# ___________________________________________[gdata-plugin]____
	mv $(IDIR)/gdata_plugin-*/* \
	   $(IDIR)/$(NS)-gdata-plugin
	rm -f $(IDIR)/$(NS)-gdata-plugin/usr/lib/$(NS)/plugins/*.*a

generate-examples:
	chmod +x $(GENXAMP)
	$(GENXAMP) $(NS)-python-plugin python_plugin-*

clean-examples:
	chmod +x $(GENXAMP)
	$(GENXAMP) $(NS)-python-plugin --clean

generate-docs:
	chmod +x $(GENDOCS)
	$(GENDOCS) $(NS)-vcalendar-plugin vcalendar-*
	$(GENDOCS) $(NS)-perl-filter      perl_plugin-*
	$(GENDOCS) $(NS)-feeds-reader     rssyl-*
	$(GENDOCS) $(NS)-mailmbox-plugin  mailmbox-*
	$(GENDOCS) $(NS)-html2-viewer     gtkhtml2_viewer-*
	$(GENDOCS) $(NS)-acpi-notifier    acpi_notifier-*
	$(GENDOCS) $(NS)-attach-remover   att_remover-*
	$(GENDOCS) $(NS)-fetchinfo-plugin fetchinfo-plugin-*
	$(GENDOCS) $(NS)-newmail-plugin   newmail-*
	$(GENDOCS) $(NS)-multi-notifier   notification_plugin-*
	$(GENDOCS) $(NS)-attach-warner    attachwarner-*
	$(GENDOCS) $(NS)-spam-report      spam_report-*
	$(GENDOCS) $(NS)-tnef-parser      tnef_parse-*
	$(GENDOCS) $(NS)-archiver-plugin  archive-*
	$(GENDOCS) $(NS)-bsfilter-plugin  bsfilter_plugin-*
	$(GENDOCS) $(NS)-fancy-plugin     fancy-*
	$(GENDOCS) $(NS)-python-plugin    python_plugin-*
	$(GENDOCS) $(NS)-address-keeper   address_keeper-*
	$(GENDOCS) $(NS)-clamd-plugin     clamd-*
	$(GENDOCS) $(NS)-gdata-plugin     gdata_plugin-*

clean-docs:
	chmod +x $(GENDOCS)
	$(GENDOCS) $(NS)-vcalendar-plugin --clean
	$(GENDOCS) $(NS)-perl-filter      --clean
	$(GENDOCS) $(NS)-feeds-reader     --clean
	$(GENDOCS) $(NS)-mailmbox-plugin  --clean
	$(GENDOCS) $(NS)-html2-viewer     --clean
	$(GENDOCS) $(NS)-acpi-notifier    --clean
	$(GENDOCS) $(NS)-attach-remover   --clean
