## claws-mail-extra-plugins 3.8.0cvs55

=== debian/changelog ===
claws-mail-extra-plugins (3.8.0cvs55-2) unstable; urgency=low

  * debian/control
  - Require current libclaws-mail-dev (Closes: #678405)

 -- Ricardo Mones <mones@debian.org>  Thu, 21 Jun 2012 22:42:06 +0200

claws-mail-extra-plugins (3.8.0cvs55-1) unstable; urgency=low

  * Pre-release upload after string freeze
  * debian/patches/*.patch
  - Updated for new version directory names

 -- Ricardo Mones <mones@debian.org>  Thu, 21 Jun 2012 02:08:45 +0200

claws-mail-extra-plugins (3.8.0-3) unstable; urgency=medium

  * debian/control
  - Suggest html2ps for -fancy-plugin, useful for printing
  * debian/patches/multi-notifier00allow-libindicate-0.7.patch
  - Updated (and renamed) to allow newer version, based on original
    patch by Evgeni Golov (Closes: #673810)
  - Urgency set to medium because of severity important bug

 -- Ricardo Mones <mones@debian.org>  Thu, 31 May 2012 15:26:40 +0200
