=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ricardo Mones <mones@debian.org>
 Build-Depends: debhelper (>= 5), libglib2.0-dev, libgtk2.0-dev,
- libclaws-mail-dev (>= 3.8.0),
+ libclaws-mail-dev (>= 3.8.0cvs55),
  flex, bison,
  autotools-dev, pkg-config, libetpan-dev (>= 0.52),
  libcurl4-gnutls-dev, 
@@ -245,11 +245,14 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
+Suggests: html2ps
 Description: HTML mail viewer using GTK+ WebKit
  This plugin for Claws Mail allows rendering of HTML email messages
  in the message window.
  .
  It uses the GTK+ port of the webkit library to render HTML.
+ .
+ Supports printing HTML mails when html2ps package is installed.
 
 Package: claws-mail-python-plugin
 Architecture: any
@@ -281,5 +284,3 @@
  plugin to access it via a Unix or TCP socket.
 
 Package: claws-mail-address-keeper
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
