## claws-mail-extra-plugins 3.8.1

=== debian/changelog ===
claws-mail-extra-plugins (3.8.1-1build1) quantal; urgency=low

  * Rebuild against newly sync'd claws-mail 3.8.1-1.

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 20 Jul 2012 09:52:55 -0400

claws-mail-extra-plugins (3.8.1-1) unstable; urgency=low

  * New upstream release
  * debian/patches/*.patch
  - Updated for new version directory names
  * debian/control
  - Require libclaws-mail-dev 3.8.1
  * debian/rules
  - Enable hardening: add fortify source, immediate binding and
    read-only relocations
  * patches/archiver-plugin00format-security.patch
  - Fix g_warnings without format string for hardened build

 -- Ricardo Mones <mones@debian.org>  Thu, 28 Jun 2012 12:41:57 +0200
