=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ricardo Mones <mones@debian.org>
 Build-Depends: debhelper (>= 5), libglib2.0-dev, libgtk2.0-dev,
- libclaws-mail-dev (>= 3.8.0cvs55),
+ libclaws-mail-dev (>= 3.8.1),
  flex, bison,
  autotools-dev, pkg-config, libetpan-dev (>= 0.52),
  libcurl4-gnutls-dev,
