=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
-CFLAGS = -Wall -g
+CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+
+CFLAGS += -Wall -g
+LDFLAGS += -Wl,-z,now -Wl,-z,relro
 
 NS := claws-mail
 CLAWS_VERSION = $(shell /bin/bash $(CURDIR)/debian/get-claws-ver.sh $(CURDIR))
@@ -16,7 +20,7 @@
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
-	CFLAGS += -O2
+	CFLAGS += -O2 -D_FORTIFY_SOURCE=2
 endif
 
 $(PDIR)/%.1: $(PDIR)/%.sgml
@@ -42,7 +46,8 @@
 		--build=$(DEB_BUILD_GNU_TYPE) \
 		--prefix=/usr \
 		--mandir=/usr/share/man \
-		--infodir=/usr/share/info
+		--infodir=/usr/share/info \
+		$(shell dpkg-buildflags --export=configure)
 	touch configure-stamp
 
 build: build-arch build-indep
@@ -53,7 +58,7 @@
 
 build-stamp: configure-stamp manpages-stamp
 	dh_testdir
-	$(MAKE)
+	$(MAKE) LDFLAGS="$(LDFLAGS)"
 	touch build-stamp
 
 clean: clean-docs clean-examples clean-manpages
@@ -214,8 +219,3 @@
 	chmod +x $(GENDOCS)
 	$(GENDOCS) $(NS)-vcalendar-plugin --clean
 	$(GENDOCS) $(NS)-perl-filter      --clean
-	$(GENDOCS) $(NS)-feeds-reader     --clean
-	$(GENDOCS) $(NS)-mailmbox-plugin  --clean
-	$(GENDOCS) $(NS)-html2-viewer     --clean
-	$(GENDOCS) $(NS)-acpi-notifier    --clean
-	$(GENDOCS) $(NS)-attach-remover   --clean
