=== debian/watch ===
version=3
http://sf.net/sylpheed-claws/claws-mail-extra-plugins-([\d\.]*)\.tar\.gz
